package domain


type AlibabaWdkSkuQueryApiResults struct {
    /*
        错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        结果集合     */
    Models  *[]AlibabaWdkSkuQueryApiResult `json:"models,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkSkuQueryApiResults) SetErrCode(v string) *AlibabaWdkSkuQueryApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuQueryApiResults) SetErrMsg(v string) *AlibabaWdkSkuQueryApiResults {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuQueryApiResults) SetModels(v []AlibabaWdkSkuQueryApiResult) *AlibabaWdkSkuQueryApiResults {
    s.Models = &v
    return s
}
func (s *AlibabaWdkSkuQueryApiResults) SetSuccess(v bool) *AlibabaWdkSkuQueryApiResults {
    s.Success = &v
    return s
}
